### Hardware
- MCU: STM32F722RET6
- IMU1: ICM20689_A (SPI1)
- IMU2: ICM20689_B (SPI1)
- OSD: AT7456E (SPI2)
- Barometer: BMP280 (SPI3)
- Blackbox: Micron M25P16VP (SPI3)

### Feature
- High-performance and DSP with FPU, ARM Cortex-M7 MCU with 512 Kbytes Flash. 
- DUAL gyro ICM20689_A and ICM20689_B, they can work together to show you better performance.
- The 16M byte SPI flash for data logging
- USB VCP and boot select button on board(for DFU)
- Serial LED interface(LED_STRIP)
- VBAT/CURR/RSSI sensors input
- Suppose IRC Tramp/smart audio/FPV Camera Control/FPORT/telemetry
- Supports SBus, Spektrum1024/2048, PPM. No external inverters required (built-in).
- Supports I2C device extend(baro/compass/OLED etc)(socket)
- Supports GPS (socket)

### Photos
![Top](images/EXF722DUAL-top.png)

![Bottom](images/EXF722DUAL-bottom.png)

### Known Issues

- Motors 5 and 6 cannot be used with Dshot when LED\_STRIP is enabled (https://github.com/betaflight/betaflight/issues/8412).

### Manufacturer
- EXUAV FPV
- FaceBook: https://www.facebook.com/profile.php?id=100013651722728
